commit a1fe657
Author: Gerald Combs <gerald@wireshark.org>
Date:   Fri Mar 3 12:11:27 2017 -0800

    Release 2.2.5.
    
    Change-Id: I58f8d533b6f0fa0a1029486e05758069d93edd08

commit 9f297d6
Author: Gerald Combs <gerald@wireshark.org>
Date:   Fri Mar 3 10:04:58 2017 -0800

    IAX2: Add a timestamp check.
    
    Don't try to process timestamps that are more than 60 seconds apart.
    Avoids the infinite loop in bug 13432.
    
    Bug: 13432
    Change-Id: I05aea4c733c94cbfe832f03ba826c74a41e6bb2f
    Reviewed-on: https://code.wireshark.org/review/20366
    Petri-Dish: Gerald Combs <gerald@wireshark.org>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Gerald Combs <gerald@wireshark.org>
    (cherry picked from commit ca68749606bb78a333a0961dbf9fa74c65fa72aa)
    Reviewed-on: https://code.wireshark.org/review/20367

commit c192fbb
Author: Gerald Combs <gerald@zing.org>
Date:   Thu Mar 2 17:48:10 2017 -0800

    Update the release notes for 2.2.5.
    
    Change-Id: I3898cb36c8f0c161db21de7cb1ff31f2cd1142d1
    Reviewed-on: https://code.wireshark.org/review/20350
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit 7d1d41a
Author: Guy Harris <guy@alum.mit.edu>
Date:   Thu Mar 2 15:02:14 2017 -0800

    Remove a cast that now causes rather than squelching warnings.
    
    We're now comparing an unsigned with an expression made mostly of
    unsigned, so there's no need to cast the expression to long to squelch
    signed vs. unsigned warnings.
    
    Change-Id: I3b8c6f6faf26a9c252eb55d9e69fb298a3ad4c3b
    Reviewed-on: https://code.wireshark.org/review/20347
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit 4bd3c4d44ddcdf8e98fdf08a425e3a68e9b18395)
    Reviewed-on: https://code.wireshark.org/review/20348

commit 7018427
Author: Guy Harris <guy@alum.mit.edu>
Date:   Thu Mar 2 14:51:43 2017 -0800

    Make sure nspr_getv20recordsize() returns an unsigned value.
    
    The record size fields are guint8, but NSPR_V20RECORDSIZE_2BYTES was
    0x80, which has type int, promoting the result to int.  Make it 0x80U,
    which means everything is unsigned.
    
    This squelches a compiler warning.
    
    Change-Id: I1c63e485352a90c7f675ab0dacaaeba794235b35
    Reviewed-on: https://code.wireshark.org/review/20344
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit b98bb5188c9082a06a370483c9474a929e957659)
    Reviewed-on: https://code.wireshark.org/review/20345

commit 37bbc14
Author: Guy Harris <guy@alum.mit.edu>
Date:   Thu Mar 2 13:03:09 2017 -0800

    Add more sanity checks.
    
    Bug: 13431
    Change-Id: I330cb087c6e89277120057019cb5155f005ed269
    Reviewed-on: https://code.wireshark.org/review/20337
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit b019c5931c945c20b9bc3f0c1f904dd3bd590873)
    Reviewed-on: https://code.wireshark.org/review/20338

commit fee76b0
Author: Jaap Keuter <jaap.keuter@xs4all.nl>
Date:   Wed Feb 15 22:25:58 2017 +0100

    IEEE 802.11: Handle Atheros padding
    
    For some unknown reason between 802.11 protocol fields end and LLC
    protocol field start two octets of padding may appear. These octets
    (value 0x00) were observed on the OLPC laptop, heuristically detected
    and marked as OLPC mysterious stuff.
    
    It seems that Atheros chipset drivers also show this behaviour,
    although the padding is not 0x0000, but seem to be a duplicate of the
    sequence control field. This is now also heuristically detected and
    marked more generically as payload padding.
    
    Bug: 13411
    Change-Id: I1e817e07dc19be8b3917ff302ede3328ca6a4938
    Reviewed-on: https://code.wireshark.org/review/20284
    Petri-Dish: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Jaap Keuter <jaap.keuter@xs4all.nl>
    (cherry picked from commit 311b1ee70072531352262f3a47181e89472e3109)
    Reviewed-on: https://code.wireshark.org/review/20308
    Petri-Dish: Jaap Keuter <jaap.keuter@xs4all.nl>

commit d00ced1
Author: Guy Harris <guy@alum.mit.edu>
Date:   Thu Mar 2 01:00:25 2017 -0800

    Do more record length checks.
    
    Do the check early in the process of processing the record, and do it
    for all record types.
    
    Bug: 13429
    Change-Id: Id7f4d12415c6740241850d8f873cff52909e7110
    Reviewed-on: https://code.wireshark.org/review/20330
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit e4dfeed2ca2491fa944dc9cd5180ec202313b5b6)
    Reviewed-on: https://code.wireshark.org/review/20331

commit 7eb76d2
Author: Guy Harris <guy@alum.mit.edu>
Date:   Wed Mar 1 19:53:29 2017 -0800

    Don't go past the end of a page in a NetScaler file.
    
    Records in a properly formatted NetScaler file shouldn't go past the end
    of a page, but nothing guarantees that a NetScaler file will be properly
    formatted.
    
    NetScaler 3.x files allow record bodies to go past the end of a page,
    but 1.x and 2.x files don't, so treat record headers that go past the
    end of a page, and record bodies in 1.x and 2.x files that go past the
    end of a page, as errors.
    
    Clean up some stuff while we're at it.
    
    Bug: 13430
    Change-Id: I3b1d56086e3bb14b246406f306e3d730df337561
    Reviewed-on: https://code.wireshark.org/review/20326
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit 19c51d27b9cabf7b811d6c60e42a59330235c2de)
    Reviewed-on: https://code.wireshark.org/review/20327

commit ddf4814
Author: Guy Harris <guy@alum.mit.edu>
Date:   Wed Mar 1 10:07:38 2017 -0800

    Get rid of an unnecessary variable.
    
    It's shadowing an identical, unused variable declared at the top of the
    function, causing a compiler warning.
    
    Change-Id: Ie792af3a2635f1a8c7f2a5b3f5b58cb1589c508c
    Reviewed-on: https://code.wireshark.org/review/20322
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit ad1c571
Author: AndersBroman <anders.broman@ericsson.com>
Date:   Thu Dec 15 14:49:31 2016 +0100

    [GTPv2] Fix dissection of MM Context fpr EPS
    
    Change-Id: I1ee7f4caa23834ac8bcbd56731c116a785b67d6b
    Reviewed-on: https://code.wireshark.org/review/19283
    Petri-Dish: Anders Broman <a.broman58@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>
    (cherry picked from commit c8b96ef1a9b34faf5bb869b40a4c1e2c71590cd7)
    Reviewed-on: https://code.wireshark.org/review/20318
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 8a168ed
Author: Michal Labedzki <michal.labedzki@tieto.com>
Date:   Mon Jan 23 15:51:58 2017 +0100

    androiddump: Use nonblocking connect
    
    Release as version 1.0.3 [backport]:
    All connects to ADB are now non-blocking.
    Try to connect up to 10 times with 1ms delays,
    so in worst-case it takes ~10ms (for example 14ms)
    
    Use non-blocking socket for a while on Windows.
    
    Bug: 13104
    Change-Id: I791909c9c951b62195b48acd82490e1b9ebf2be0
    Reviewed-on: https://code.wireshark.org/review/19968
    Petri-Dish: Michal Labedzki <michal.tomasz.labedzki@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michal Labedzki <michal.tomasz.labedzki@gmail.com>
    Tested-by: Michal Labedzki <michal.tomasz.labedzki@gmail.com>
    Reviewed-on: https://code.wireshark.org/review/20263

commit 991f1b5
Author: Jakub Zawadzki <darkjames-ws@darkjames.pl>
Date:   Sun Feb 26 11:49:32 2017 +0100

    Return correct filter for get_hostlist_filter()
    
    It was returning (ip.src == ... && <protocol>.port == ...).
    
    Now, I think correctly returns (ip.addr == ... && <protocol>.port == ...)
    
    Change-Id: I242e13c0c79c2222e2b27fc2f9ee348b89d21ec1
    Reviewed-on: https://code.wireshark.org/review/20281
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Jakub Zawadzki <darkjames-ws@darkjames.pl>
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    (cherry picked from commit 59b672e5907d272ea5bd5ef571b03e004d07705a)
    Reviewed-on: https://code.wireshark.org/review/20304

commit 6eaac3a
Author: Peter Wu <peter@lekensteyn.nl>
Date:   Mon Feb 27 11:30:07 2017 +0100

    wslua: fix documentation of Struct.fromhex
    
    The default separator is really an empty string, not a single space.
    This has been wrongly documented since the beginning.
    
    Change-Id: I5598daec1486ce17cfeeaf5697f9759172db9cf5
    Fixes: v1.11.3-rc1-1760-g860747e1e7 ("Adds some Lua helper functions: some commonly used functions, and to help troubleshooting Lua scripts")
    Reviewed-on: https://code.wireshark.org/review/20296
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    (cherry picked from commit 4b2a2eb0a4c393dcf29e505ed8f135e9b85fb60e)
    Reviewed-on: https://code.wireshark.org/review/20298

commit 4f9839f
Author: Gerald Combs <gerald@wireshark.org>
Date:   Sun Feb 26 08:18:48 2017 -0800

    [Automatic update for 2017-02-26]
    
    Update manuf, services enterprise-numbers, translations, and other items.
    
    Change-Id: I41d19c987c47213a6a318c5afc3139061105eeaf
    Reviewed-on: https://code.wireshark.org/review/20286
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit c043109
Author: Stig Bjørlykke <stig@bjorlykke.org>
Date:   Tue Feb 21 12:38:28 2017 +0100

    Qt: Avoid flicker in filter expressions toolbar
    
    Calling adjustSize() on the display filter toolbar causes flicker
    in the filter expression toolbar when switching between profiles
    without buttons and in some cases changing to a profile without buttons.
    
    Only calling adjustSize() if adding buttons should be fine to avoid
    this issues, even if they may be caused by something else.
    
    Change-Id: I8cca84a51dbbc8244dc4342ac0466e35884c294d
    Reviewed-on: https://code.wireshark.org/review/20222
    Petri-Dish: Stig Bjørlykke <stig@bjorlykke.org>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Jaap Keuter <jaap.keuter@xs4all.nl>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>
    (cherry picked from commit a4d7793b4cfc2e6d578bf4723fd334f24cf453ec)
    Reviewed-on: https://code.wireshark.org/review/20249
    Petri-Dish: Anders Broman <a.broman58@gmail.com>

commit e55d4b0
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Wed Feb 22 17:39:26 2017 +0100

    GPRS-NS: display nsip.cause and nsip.pdu_type as BASE_HEX
    
    Bug: 13428
    Change-Id: I82ffab61cd59bbd39d82b92c6eebf8800dc2f5be
    Reviewed-on: https://code.wireshark.org/review/20250
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Petri-Dish: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Martin Kaiser <wireshark@kaiser.cx>
    (cherry picked from commit 936a4c1eb95384bca8563d2b210d243167f4fe20)
    Reviewed-on: https://code.wireshark.org/review/20253
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>

commit 63da580
Author: Guy Harris <guy@alum.mit.edu>
Date:   Tue Feb 21 20:05:29 2017 -0800

    Clean up the get_if_capabilities_ routines a bit.
    
    Allocate the interface capabilities structure only if we succeed in
    getting a pcap_t handle for it.
    
    For remote devices, explicitly set caps->can_set_rfmon and
    caps->data_link_types, to be a little bit more like what we do for local
    devices.
    
    Change-Id: I985c05f85f165fce4dfe0392569ec51ed1eeb91e
    Reviewed-on: https://code.wireshark.org/review/20242
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit c1ab23d64b3276fec5e3a33a4fa945067bac77e1)
    Reviewed-on: https://code.wireshark.org/review/20243

commit e563bd1
Author: Joerg Mayer <jmayer@loplof.de>
Date:   Wed Feb 22 01:25:53 2017 +0100

    Make sure we zero out the newly allocated list, otherwise g_list append may
    dereference ->next containing an arbitrary value.
    
    Bug: 13418
    Change-Id: I240bc03e652ede557083379cc81b81ae83d720e5
    Reviewed-on: https://code.wireshark.org/review/20235
    Reviewed-by: Jörg Mayer <jmayer@loplof.de>
    (cherry picked from commit 50dff6eac41bbe22e1436af1301628eb3462bf8a)
    Reviewed-on: https://code.wireshark.org/review/20241
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 2170755
Author: Joerg Mayer <jmayer@loplof.de>
Date:   Tue Feb 21 00:03:54 2017 +0100

    Don't use identical log messages for non-identical error cases.
    
    Change-Id: Ia80f112bef5f0c10e54223d3b57570fa53f7e867
    Reviewed-on: https://code.wireshark.org/review/20216
    Reviewed-by: Jörg Mayer <jmayer@loplof.de>
    (cherry picked from commit e18ad46ad06cbde22a4319a1a73f73be76051171)
    Reviewed-on: https://code.wireshark.org/review/20239
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit a9396c6
Author: Joerg Mayer <jmayer@loplof.de>
Date:   Mon Feb 20 21:44:27 2017 +0100

    Calling g_hash_table_size with a NULL argument causes a GLib-CRITICAL.
    
    This fixes the first issue appearing in the log of
    
    Bug: 13418
    Change-Id: I2fe68a06dd4a19be8300ec34be65a8dc47d0f8b3
    Reviewed-on: https://code.wireshark.org/review/20214
    Reviewed-by: Jörg Mayer <jmayer@loplof.de>
    (cherry picked from commit b82f7c5b7d30241dd190cd243111b224c2813c90)
    Reviewed-on: https://code.wireshark.org/review/20237
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 98004d7
Author: Stig Bjørlykke <stig@bjorlykke.org>
Date:   Tue Feb 21 13:18:55 2017 +0100

    Qt: Handle cancel in import coloring rules
    
    Change-Id: I450cfc41d19c0dcb4aa59c0515d8d0834cfee60b
    Reviewed-on: https://code.wireshark.org/review/20223
    Petri-Dish: Stig Bjørlykke <stig@bjorlykke.org>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Jaap Keuter <jaap.keuter@xs4all.nl>
    Reviewed-by: Stig Bjørlykke <stig@bjorlykke.org>
    (cherry picked from commit 6814cf4fa7c42a95417a52ddef4abedd554b300e)
    Reviewed-on: https://code.wireshark.org/review/20227

commit e7176e9
Author: Hannes Mezger <hannes.mezger@ascolab.com>
Date:   Thu Feb 16 16:09:59 2017 +0100

    opcua: display abort messages correctly
    
    Change-Id: I795fc3a3cf4ca93483f870d229668d7f747bb799
    Reviewed-on: https://code.wireshark.org/review/20147
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    (cherry picked from commit 7e9b7b596728e6d1ab1ab5dc01e6a24a3bfafd6b)
    Reviewed-on: https://code.wireshark.org/review/20155
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit f253123
Author: Stig Bjørlykke <stig@bjorlykke.org>
Date:   Sun Feb 19 19:46:13 2017 +0100

    Qt: Mystery pixel issue is solved
    
    The mystery pixel issue has probably been mysteriously solved earlier
    because the adjustments does not work as expected now.
    
    This fixes an issue where one of the panes increases with 1 pixel at
    startup and when changing profile using layout type 3, 4, 5 and 6
    (selection number 1, 4, 5 and 6 in “Preferences -> Appearance -> Layout”).
    
    Change-Id: Iab36fa5303dc8628b21e5cf920e7c70a7167d76e
    Reviewed-on: https://code.wireshark.org/review/20188
    Petri-Dish: Stig Bjørlykke <stig@bjorlykke.org>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>
    (cherry picked from commit 6c654861d94869e32536c19c5001666c1faf96c7)
    Reviewed-on: https://code.wireshark.org/review/20192
    Petri-Dish: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit f693761
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Sun Feb 19 21:41:55 2017 +0100

    SNMP: duplicate dynamic members of snmp_ue_assoc_t structure in localize_ue()
    
    Otherwise you can end up freeing twice the same memory blocks
    (from localized_ues and unlocalized_ues lists)
    
    Bug: 13420
    Change-Id: I7e6f1f8d740b0e5ffca851f3f5b1928a7686c069
    Reviewed-on: https://code.wireshark.org/review/20190
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    Petri-Dish: Jaap Keuter <jaap.keuter@xs4all.nl>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    (cherry picked from commit 1089211c0b0aca7d95b4f54ca0e61d070555e896)
    Conflicts:
            epan/dissectors/packet-snmp.c
    Reviewed-on: https://code.wireshark.org/review/20198
    Petri-Dish: Pascal Quantin <pascal.quantin@gmail.com>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit fdc7845
Author: Gerald Combs <gerald@wireshark.org>
Date:   Sun Feb 19 08:20:32 2017 -0800

    [Automatic update for 2017-02-19]
    
    Update manuf, services enterprise-numbers, translations, and other items.
    
    Change-Id: I83b338d119b392abda052beadf25bebd0a63a0b3
    Reviewed-on: https://code.wireshark.org/review/20184
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit d185415
Author: Gerald Combs <gerald@wireshark.org>
Date:   Thu Feb 16 15:31:56 2017 -0800

    Rawshark: Try to avoid a VC runtime crash.
    
    The MSDN documentation for _read says
    
    "If fd is invalid, the file is not open for reading, or the file is
    locked, the invalid parameter handler is invoked, as described in
    Parameter Validation."
    
    This means that on Windows, if our parent has closed stdin when we call
    _read we'll crash. Add a check to bail out early if that's happened.
    
    Fix a sign cast while we're here.
    
    Change-Id: I8afb75f6e56c6a6c2b62103ba7e2fb635dc85702
    Reviewed-on: https://code.wireshark.org/review/20153
    Reviewed-by: Gerald Combs <gerald@wireshark.org>
    (cherry picked from commit 560a6c3823cf560b883e29db0a403517def86639)
    Reviewed-on: https://code.wireshark.org/review/20160
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit b88bb55
Author: Gerald Combs <gerald@wireshark.org>
Date:   Wed Aug 3 12:14:23 2016 -0700

    Qt: Warn the user about DBAR 1.8 on Windows.
    
    At startup, dig through the registry looking for shell extensions. If
    any of them match known Dell Backup and Recovery DLL names and the DLL
    version matches 1.8.*.*, show the user a warning dialog.
    
    This is a bit extreme but I'm not sure what else to do. Dell is a popular
    computer manufacturer and bug reports keep trickling in.
    
    Change-Id: I6d1bd6c56850279356570154d231b07facb30cff
    Bug: 12036
    Ping-bug: 12701
    Ping-bug: 13414
    Reviewed-on: https://code.wireshark.org/review/16861
    Petri-Dish: Gerald Combs <gerald@wireshark.org>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Reviewed-by: Gerald Combs <gerald@wireshark.org>
    (cherry picked from commit a5a8fce06ecb5aff1dfcf101bb2b5455bd776569)
    Reviewed-on: https://code.wireshark.org/review/20150
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit c3d895f
Author: Stig Bjørlykke <stig@bjorlykke.org>
Date:   Thu Feb 16 10:41:58 2017 +0100

    Qt: Disable pane menu items if not used in layout
    
    If a pane is not used in the layout it should not be possible to show
    and hide this from the menu, as this may give unexpected results.
    
    Change-Id: I335168e66e1dffc89992cad480dd7daaea7e9d59
    Reviewed-on: https://code.wireshark.org/review/20140
    Petri-Dish: Stig Bjørlykke <stig@bjorlykke.org>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Stig Bjørlykke <stig@bjorlykke.org>
    (cherry picked from commit 14e19128dca1b318896ab7768d4527723dbefd17)
    Reviewed-on: https://code.wireshark.org/review/20152

commit 419c497
Author: Stig Bjørlykke <stig@bjorlykke.org>
Date:   Thu Feb 16 15:08:06 2017 +0100

    Qt: Preserve pane sizes when layout content changed
    
    Preserve pane sizes when rearranging layout content in the
    preferences dialog.
    
    Change-Id: I2af2a60424a7bf94f1f92e7c63e6a1823985b60d
    Reviewed-on: https://code.wireshark.org/review/20145
    Petri-Dish: Stig Bjørlykke <stig@bjorlykke.org>
    Reviewed-by: Stig Bjørlykke <stig@bjorlykke.org>
    (cherry picked from commit 384c26622b0adc7eda415ba6e2a9fc704cd27794)
    Reviewed-on: https://code.wireshark.org/review/20151

commit 7076f9e
Author: Stig Bjørlykke <stig@bjorlykke.org>
Date:   Thu Feb 16 10:03:41 2017 +0100

    Qt: Improved pane size auto detect
    
    Split panes in exactly equal sizes.
    
    Change-Id: I4b984931e860160791497a299011489aa26ad4ef
    Reviewed-on: https://code.wireshark.org/review/20139
    Petri-Dish: Stig Bjørlykke <stig@bjorlykke.org>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Stig Bjørlykke <stig@bjorlykke.org>
    (cherry picked from commit e2cef4cbbd8afe64b446f16443e1e80478117327)
    Reviewed-on: https://code.wireshark.org/review/20143

commit 26c3ebc
Author: Guy Harris <guy@alum.mit.edu>
Date:   Thu Feb 16 00:29:57 2017 -0800

    Updated URL for STANAG 4607 documentation.
    
    Change-Id: Ib25ab0ba5b9d613d55fc54c0f3ef84cb7698754f
    Reviewed-on: https://code.wireshark.org/review/20136
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit 6efc0f4ea62b22e289fa22e6f1735f2e89302165)
    Reviewed-on: https://code.wireshark.org/review/20137

commit 83aa52d
Author: Guy Harris <guy@alum.mit.edu>
Date:   Thu Feb 16 00:18:30 2017 -0800

    Report an error for too-short packets.
    
    The packet length field gives the length of the *entire* packet, so, by
    definition, it must not be zero.  Make sure it's at least big enough for
    the packet header itself plus one segment header.
    
    Bug: 13416
    Change-Id: I625bd5c0ce75ab1200b3becf12fc1c819fefcd63
    Reviewed-on: https://code.wireshark.org/review/20133
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit c7042bedbb3b12c5f4e19e59e52da370d4ffe62f)
    Reviewed-on: https://code.wireshark.org/review/20134

commit 5609829
Author: Stig Bjørlykke <stig@bjorlykke.org>
Date:   Thu Feb 16 08:32:02 2017 +0100

    Qt: Use correct wsApp signal for RecentFilesRead
    
    Change-Id: Iac96ad1353658bcb5b8bda7cb786e4f4c9bce200
    Reviewed-on: https://code.wireshark.org/review/20132
    Reviewed-by: Stig Bjørlykke <stig@bjorlykke.org>

commit 28c0536
Author: Stig Bjørlykke <stig@bjorlykke.org>
Date:   Wed Feb 15 23:35:19 2017 +0100

    Qt: Reset pane sizes when layout type changed
    
    Reset pane sizes when layout type has changed in the preferences
    dialog to avoid “random” sizes.
    
    Change-Id: I9ca830572e3d21cb4227de3d5d05449b759aec7e
    Reviewed-on: https://code.wireshark.org/review/20122
    Petri-Dish: Stig Bjørlykke <stig@bjorlykke.org>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>
    (cherry picked from commit 34b983666da4358bc38fd025e3e0793a81256451)
    Reviewed-on: https://code.wireshark.org/review/20130
    Reviewed-by: Stig Bjørlykke <stig@bjorlykke.org>

commit 8a4d259
Author: Stig Bjørlykke <stig@bjorlykke.org>
Date:   Wed Feb 15 21:41:08 2017 +0100

    Qt: Auto detect pane size when configured zero
    
    The recent file configuration for pane sizes states that
    “pane size of zero will auto detect”, so ensure we do this in
    all cases where the settings may be zero.
    
    This affects initial startup, Default profile reset and new profiles.
    
    Change-Id: I1430ec1a83b7fb294b92837476f2bf9472384e45
    Reviewed-on: https://code.wireshark.org/review/20121
    Petri-Dish: Stig Bjørlykke <stig@bjorlykke.org>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>
    (cherry picked from commit a98eb3c3125d0b353f2b571890f5854e2b977f42)
    Reviewed-on: https://code.wireshark.org/review/20128
    Reviewed-by: Stig Bjørlykke <stig@bjorlykke.org>

commit 8cd41a0
Author: Stig Bjørlykke <stig@bjorlykke.org>
Date:   Wed Feb 15 14:32:45 2017 +0100

    Qt: Preserve pane sizes when changing profile
    
    When changing between profiles having certain different layout types
    the size of the last pane was calculated wrong.
    
    This involves switching between this layout types:
    
       2 -> 3   2 -> 5   3 -> 1   3 -> 2   3 -> 4   3 -> 5
       4 -> 3   4 -> 5   5 -> 2   5 -> 3   5 -> 4   5 -> 6
    
    Change-Id: I6ee3ed92c4c639b720587c0771be0a242e5a8793
    Reviewed-on: https://code.wireshark.org/review/20116
    Petri-Dish: Stig Bjørlykke <stig@bjorlykke.org>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>
    (cherry picked from commit d718b1d7e17a230f6c4329aa9b8ea798ea6a48ec)
    Reviewed-on: https://code.wireshark.org/review/20127
    Reviewed-by: Stig Bjørlykke <stig@bjorlykke.org>

commit a484eb9
Author: Guy Harris <guy@alum.mit.edu>
Date:   Wed Feb 15 16:46:42 2017 -0800

    "NULL" is not what you use for a null pointer.
    
    It's a non-null pointer to a character string with the value "NULL".
    You want just NULL, with no quotes.
    
    Change-Id: I51bfb73a3002f46f13a8f513d07b1ddc009a14cb
    Reviewed-on: https://code.wireshark.org/review/20123
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit 724dc1cf5c7a2eaef10ebb4aec399d5f06fc4ed3)
    Reviewed-on: https://code.wireshark.org/review/20124

commit 54517d2
Author: John Viklund <john.viklund@effnet.com>
Date:   Wed Feb 15 07:49:08 2017 +0100

    Display 4 octets SDVL with 3 bits in ROHC
    
    Four octets self-describing variable-length in ROHC has three bits
    discriminator, not four as previously displayed.
    
    Change-Id: Ibe366aed3ac822abd0046efe71e9b4e4c633524f
    Reviewed-on: https://code.wireshark.org/review/20112
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Petri-Dish: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Jaap Keuter <jaap.keuter@xs4all.nl>
    (cherry picked from commit efcb5c07f04210ee89e57347c867a64d3486ebc4)
    Reviewed-on: https://code.wireshark.org/review/20114
    Petri-Dish: Jaap Keuter <jaap.keuter@xs4all.nl>
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit dcf5c32
Author: Stig Bjørlykke <stig@bjorlykke.org>
Date:   Tue Feb 14 22:36:52 2017 +0100

    Qt: Indicate profile created from system provided
    
    Indicate when a profile is created from a system provided profile.
    
    Change-Id: Iaabe5a2dbf17c7baa14e888dfab5f2aeadaedb67
    Reviewed-on: https://code.wireshark.org/review/20107
    Petri-Dish: Stig Bjørlykke <stig@bjorlykke.org>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Stig Bjørlykke <stig@bjorlykke.org>
    (cherry picked from commit 78ce70e908ff4609587b6a0179ee0e8ae5e29421)
    Reviewed-on: https://code.wireshark.org/review/20113

commit 90095c7
Author: D. Ulis <daulis0@gmail.com>
Date:   Sun Dec 11 18:52:26 2016 -0500

    Do not set Qt Window focus when highlighting rows
    
    Bug: 11890
    Change-Id: I372f096c1ac0e483bf49cf95831e3df43621a642
    Reviewed-on: https://code.wireshark.org/review/19209
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Gerald Combs <gerald@wireshark.org>
    (cherry picked from commit 128246bffbdfc2f30183689c2f9d9e4f676ca520)
    Reviewed-on: https://code.wireshark.org/review/20101
    Reviewed-by: Peter Wu <peter@lekensteyn.nl>

commit 36c85f6
Author: Gerald Combs <gerald@wireshark.org>
Date:   Sun Feb 12 08:20:52 2017 -0800

    [Automatic update for 2017-02-12]
    
    Update manuf, services enterprise-numbers, translations, and other items.
    
    Change-Id: I582ad78bf6a68f06f86d48feb7859614da71d29f
    Reviewed-on: https://code.wireshark.org/review/20071
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit 27a4476
Author: Jaap Keuter <jaap.keuter@xs4all.nl>
Date:   Sun Feb 12 12:32:10 2017 +0100

    Put the definitions first
    
    To help compilers that don't like mixed definitions, put the definitions
    first.
    
    Bug: 13398
    Change-Id: I7f011feef7c7574df7a03cec87693e664be559ca
    Reviewed-on: https://code.wireshark.org/review/20067
    Petri-Dish: Jaap Keuter <jaap.keuter@xs4all.nl>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    (cherry picked from commit 1e1ceeb7636fb50a3f35f6933407e4f32a118bb8)
    Reviewed-on: https://code.wireshark.org/review/20068
    Petri-Dish: Michael Mann <mmann78@netscape.net>

commit f3905cc
Author: S. Shapira <sswsdev@gmail.com>
Date:   Fri Feb 10 16:42:38 2017 +0200

    Fixing the MAC tvb creation in FP's tb dissection method
    
    # Conflicts:
    #       epan/dissectors/packet-umts_fp.c
    
    Bug: 13392
    Change-Id: I387a6715164180487606ba3e9e4aaf64695aa543
    Reviewed-on: https://code.wireshark.org/review/20058
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 11c9010
Author: Guy Harris <guy@alum.mit.edu>
Date:   Fri Feb 10 10:21:53 2017 -0800

    Cast away some compiler warnings.
    
    We know ignored_bytes is > 0 (if it weren't, we'd have treated that as
    an error and exited), so just cast it to guint32 to suppress complaints
    about a signed vs. unsigned comparison.
    
    Change-Id: If02359082fdbbca037cf01ad829003730bc3d8b2
    Reviewed-on: https://code.wireshark.org/review/20053
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit cffb18351ff130a5df06e65b87cb9adade74376d)
    Reviewed-on: https://code.wireshark.org/review/20054

commit 293dbe7
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Fri Dec 2 09:26:29 2016 +0100

    simple_dialog(.h): fix parameter 'Type' not found in the function declaration [-Wdocumentation]
    
    Change-Id: I3dc476af941221b1d59f31bd6f639a49059e38a9
    Reviewed-on: https://code.wireshark.org/review/19014
    Petri-Dish: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>
    (cherry picked from commit 74fb68d3662881cfa9f11fd29d73144da3d294aa)
    Reviewed-on: https://code.wireshark.org/review/20046

commit 462ca74
Author: Noel Power <noel.power@suse.com>
Date:   Thu Jan 12 05:52:23 2017 -0500

    mswsp: Numerous bugfixes
    
    1. Fix display of CTableColumn.StatusUsed & CTableColumn.LengthUsed
    Both StatusUsed and LenghtUsed members were displayed as 2 byte length
    values instead of single byte values.
    
    2. Fix minor spelling mistake
    
    3. display correct address(s) for array of address values
    
    4. Use correct minimum CTableColumn size
    
    This is followup patch for patch already provided for bug 13299.
    The previous minimum value neglated to take into account the
    CFullPropSpec structure (which is on the wire) but is represtented
    as a string in the internal CTableColumn structure. Note: this doesn't
    make any difference to the effectiveness of the previous patch but should
    avoid confusion if someone later actually investigates the correct minimum
    size.
    
    5. Fix CPMCREATEQUERY message parsing
    
    Following a query and subsequent clarification from dochelp@microsoft.com
    the MS-WSP specification document was found to be incorrect.
    
    CPMCreateQueryIn
          |
          ---> CSortSet
    
    should instead eventually point to CSortSet via the following msg structure
    
    CPMCreateQueryIn
          |
          ---> CInGroupSortAggregSets
               |
                ---> CInGroupSortAggregSet
                     |
                     ---> CSortSet
    
    Change-Id: I7da6c7db817113f5542f25f078626030ad30d737
    Signed-off-by: Noel Power <noel.power@suse.com>
    Reviewed-on: https://code.wireshark.org/review/20031
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    (cherry picked from commit b18245a60c5dc3532d144699dd00f36d84c4e176)
    Reviewed-on: https://code.wireshark.org/review/20044
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit 6df3ddc
Author: Michael Mann <mmann78@netscape.net>
Date:   Wed Feb 8 22:31:11 2017 -0500

    Add wtap_init to dftest.
    
    Bug: 13387
    Change-Id: I7dfae550f814cdc15924357996e2086eea58ecf4
    Reviewed-on: https://code.wireshark.org/review/20027
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 7769100
Author: Jaap Keuter <jaap.keuter@xs4all.nl>
Date:   Tue Feb 7 23:35:50 2017 +0100

    editcap: handle too short frames in frame comparison
    
    With option -I one can ignore the first number of bytes from the frame
    while doing duplicate frame removal. This doesn't handle shorter frames
    correctly. Add safeguards for this, and update the help text.
    
    Bug: 13378
    Change-Id: Ia6b65d0797f4069f0b89fa134114d88d80988211
    Reviewed-on: https://code.wireshark.org/review/20004
    Petri-Dish: Peter Wu <peter@lekensteyn.nl>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Peter Wu <peter@lekensteyn.nl>
    (cherry picked from commit b28b07379fe966f0a89ead9fe2fa30ac05e19e9c)
    Reviewed-on: https://code.wireshark.org/review/20028
    Reviewed-by: Jaap Keuter <jaap.keuter@xs4all.nl>
    Petri-Dish: Jaap Keuter <jaap.keuter@xs4all.nl>

commit 2f0b212
Author: Guy Harris <guy@alum.mit.edu>
Date:   Tue Feb 7 13:35:41 2017 -0800

    Make sure pid_t is defined.
    
    Just as we include <windows.h> on Windows to get HANDLE defined, include
    <sys/types.h> on UN*X to get pid_t defined.
    
    We don't seem to need this (yet) on the master and 2.2 branches, but it
    looks as if it might be necessary on the 2.0 branch.  Do it everywhere.
    
    Change-Id: I9535fa9944265746d332f8dc337e42a020b503d3
    Reviewed-on: https://code.wireshark.org/review/19998
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit 0e74fbb4281d3b4fac812d04004c1668cbf903ab)
    Reviewed-on: https://code.wireshark.org/review/19999

commit 6c39753
Author: Stig Bjørlykke <stig@bjorlykke.org>
Date:   Tue Feb 7 15:30:43 2017 +0100

    ui: Write recent file when applying profile changes
    
    Write the recent file for the current profile before copying or renaming
    the profile to ensure the latest changes are not lost.
    
    Change-Id: Ib07881925b398314da0a9b2ec875da7650b84712
    Reviewed-on: https://code.wireshark.org/review/19984
    Petri-Dish: Stig Bjørlykke <stig@bjorlykke.org>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Stig Bjørlykke <stig@bjorlykke.org>
    (cherry picked from commit 1185fbab426830a04a5fa2042c656666efc3a3f3)
    Reviewed-on: https://code.wireshark.org/review/19996

commit e11f69b
Author: Gerald Combs <gerald@wireshark.org>
Date:   Sun Feb 5 08:20:13 2017 -0800

    [Automatic update for 2017-02-05]
    
    Update manuf, services enterprise-numbers, translations, and other items.
    
    Change-Id: Ife2af71c69ccf305116b9e86bd54cedafc2a32ed
    Reviewed-on: https://code.wireshark.org/review/19960
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit 25f0dc6
Author: Gerald Combs <gerald@wireshark.org>
Date:   Mon Jan 30 12:52:35 2017 -0800

    Dumpcap: Improve an error message.
    
    Dumpcap doesn't yet support capturing pcapng from stdin. On Windows,
    make sure we invalidate our file handle so that instead of printing
    
      "Error reading from pipe: The operation completed successfully. (error 0)"
    
    we show the more useful
    
      "Capturing from a pipe doesn't support pcapng format."
    
    Change-Id: I472c1bf5c8520c9ee3fe4b6299a6e0250262ea51
    Reviewed-on: https://code.wireshark.org/review/19876
    Petri-Dish: Gerald Combs <gerald@wireshark.org>
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Gerald Combs <gerald@wireshark.org>
    (cherry picked from commit bd86a45006c20bcce4e5754fc575363ab7b33f66)
    Reviewed-on: https://code.wireshark.org/review/19878

commit 43c1524
Author: Gerald Combs <gerald@wireshark.org>
Date:   Sun Jan 29 08:19:33 2017 -0800

    [Automatic update for 2017-01-29]
    
    Update manuf, services enterprise-numbers, translations, and other items.
    
    Change-Id: Id6b87db7d79bc0d95f9dbca0034c6eb96ec6db1c
    Reviewed-on: https://code.wireshark.org/review/19840
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit 2b3a090
Author: Michael Mann <mmann78@netscape.net>
Date:   Tue Jan 24 23:06:04 2017 -0500

    rtmpt: Ensure sequence count is incremented for stored fragments
    
    Bug: 13347
    Change-Id: I351c80dea8ac7a9f2540b40782b1cc5c0b8fdaed
    Reviewed-on: https://code.wireshark.org/review/19777
    Reviewed-by: Anders Broman <a.broman58@gmail.com>
    (cherry picked from commit ee185445f410b6bc54831ea0923af08cbcd75d00)
    Reviewed-on: https://code.wireshark.org/review/19837
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>

commit 67ee4a9
Author: Guy Harris <guy@alum.mit.edu>
Date:   Sat Jan 28 17:44:50 2017 -0800

    Fix decoding of T.30 over T.38.
    
    In change 9bcac48403de9aff6435d0f48028ae1f72f64528, "t30.hdlc" was
    inadvertently changed to "t30.hdlc""rtp"; this meant that we didn't
    actually find the T.30 dissector, as we were looking for it under the
    name "t30.hdlcrtp".
    
    Change-Id: Ic36d926d97de23a1536cf47f324affa6da7b970c
    Reviewed-on: https://code.wireshark.org/review/19836
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit f135124
Author: Guy Harris <guy@alum.mit.edu>
Date:   Sat Jan 28 16:51:32 2017 -0800

    Allow Decode As for T.38-over-TCP and T.38-over-UDP.
    
    This got lost as part of change 9132706b2dca67c4991edf0f3779d1d43d4b3f65
    - that removed the explicit registering, with a port number, in the
    tcp.port and udp.port dissector tables, *without* replacing it with a
    dissector_add_for_decode_as() registering it *without* a port number.
    
    Change-Id: Iee75d3cb3a903b9d1ecc022eb2aeda5aead2e9cf
    Reviewed-on: https://code.wireshark.org/review/19833
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 5f402b9
Author: Guy Harris <guy@alum.mit.edu>
Date:   Sat Jan 28 21:56:25 2017 +0000

    Revert "Check whether we need -lm for fmod."
    
    This reverts commit 1fe9f60b28acd3792247fe4c2e771d9fd626eba3.
    
    Not clear that this is the problem.
    
    Change-Id: I82bd9ac76a8b3fd71c2443bb2ee51451c55a0c15
    Reviewed-on: https://code.wireshark.org/review/19831
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 1fe9f60
Author: Guy Harris <guy@alum.mit.edu>
Date:   Sat Jan 28 13:07:27 2017 -0800

    Check whether we need -lm for fmod.
    
    Apparently, fmod may be in -lm even if cos isn't.
    
    Change-Id: Ifef1246ccd1ae1e17e4bbbab120c6181092c7786
    Reviewed-on: https://code.wireshark.org/review/19827
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit aaac50cfde090f4c7e71472ae8bf8e8ea67a1d44)
    Reviewed-on: https://code.wireshark.org/review/19828

commit 8abe4d6
Author: Stig Bjørlykke <stig@bjorlykke.org>
Date:   Wed Jan 25 20:28:34 2017 +0100

    Qt: Preference editor improvements.
    
    Use correct disconnect() signature to ensure everything is disconnected
    before connecting new signals.  Without this all previous connects() are
    still active.  This leads to gradually more and more syntax checks being
    called for each change, and possibility of a wrong syntax check
    (especially for strings which has no syntax check).
    
    Use the textEdited() signal to trigger a syntax check at startup.
    This gives consistency.
    
    Do not clear preferenceLineEdit when done because it looks weird when
    the preference text disappears while the widget is hiding.  The entry
    is cleared before next show anyway.
    
    Change-Id: I21c6fd8ec6bb0ecff1b2c0b66fe97dc3eaecf9b3
    Reviewed-on: https://code.wireshark.org/review/19788
    Petri-Dish: Stig Bjørlykke <stig@bjorlykke.org>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>
    (cherry picked from commit 87f4dc0a9d22060d379db2daa3f4271137a4edcc)
    Reviewed-on: https://code.wireshark.org/review/19817

commit 262da1c
Author: Stig Bjørlykke <stig@bjorlykke.org>
Date:   Mon Jan 23 09:18:53 2017 +0100

    prefs: Preserve UTF-8 characters in preferences.
    
    When saving preferences the strings in string lists must not be
    escaped with g_strescape() because this will destroy UTF-8 characters.
    
    Because this strings only should use printable characters we manually
    escape quote and backslash, and skip non-printable.
    
    Bug: 13342
    Change-Id: I57e492dff746a5ecc0aee809f946a615ad110b4d
    Reviewed-on: https://code.wireshark.org/review/19738
    Petri-Dish: Stig Bjørlykke <stig@bjorlykke.org>
    Reviewed-by: Gerald Combs <gerald@wireshark.org>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>
    (cherry picked from commit 7f4d8491f32a0bb8ea37376443429e162ea6cd86)
    Reviewed-on: https://code.wireshark.org/review/19814
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    Petri-Dish: Michael Mann <mmann78@netscape.net>

commit a1d434d
Author: Michael Mann <mmann78@netscape.net>
Date:   Tue Jan 24 22:17:49 2017 -0500

    ldss: Ensure ldss_file_request_t structure gets allocated
    
    # Conflicts:
    #       epan/dissectors/packet-ldss.c
    
    Bug: 13346
    Change-Id: I83175fefeef5035039e378dd68ffdcd0787970b8
    Reviewed-on: https://code.wireshark.org/review/19775
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    Reviewed-on: https://code.wireshark.org/review/19793
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit b708d4e
Author: Michael Mann <mmann78@netscape.net>
Date:   Tue Jan 24 22:40:07 2017 -0500

    wsp: Sanity check capability length
    
    Bug: 13348
    Change-Id: I64abc79475087f1c971419629b5c86e646123f3f
    Reviewed-on: https://code.wireshark.org/review/19776
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Petri-Dish: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>
    (cherry picked from commit cfe7b85b86455e1d62f4c914836ee5baf18831d4)
    Reviewed-on: https://code.wireshark.org/review/19791
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 9e1f1c5
Author: Gerald Combs <gerald@wireshark.org>
Date:   Mon Oct 17 11:55:56 2016 +0200

    Qt: Read our dynamic recent entries a bit earlier.
    
    Call recent_read_dynamic a bit earlier in the startup process. Note that
    it determines when we fill in the recent files list, so the earlier we
    call it the better.
    
    Bug: 13352
    Change-Id: Iad37d3aa2222873259d6c96ba79672236c8e4cd5
    Reviewed-on: https://code.wireshark.org/review/18235
    Reviewed-by: Gerald Combs <gerald@wireshark.org>
    Petri-Dish: Gerald Combs <gerald@wireshark.org>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    (cherry picked from commit fbc816a998c1649beaeefd743846c4ce977ac2b2)
    Reviewed-on: https://code.wireshark.org/review/19769

commit 77ef208
Author: Gerald Combs <gerald@wireshark.org>
Date:   Mon Jan 23 15:14:28 2017 -0800

    2.2.4 → 2.2.5.
    
    Change-Id: Ia648398b8f960b384b65f3dd77ae2cfda6015b90
    Reviewed-on: https://code.wireshark.org/review/19759
    Reviewed-by: Gerald Combs <gerald@wireshark.org>
